Subject: Fw: Invoice 1373376
From: "LLPS Customer Service" <[email-masked]>
To: "Amber Blais" <[email-masked]>
Date: Thu, 12 Apr 2012 15:32:57 -0400

Thank you,
Michael B
LLPS

From: [email-masked] 
Sent: Thursday, April 12, 2012 2:32 PM
To: Labor Law Poster Service 
Subject: Re: Invoice 1373376

Thank you I recieved both invoices, 137336 and 1398379.  Im not sure why those were both billed to Rapid City Winair as Yankton Winnelson 
is its own entity. We use the same payables but the bill should have been to Yankton Winnelson.   It looks as though our payables caught 
the problem and paid for both invoices.  One set was mailed to Yankton and one set was mailed to us in Rapid City.  It looks as though 
there is an error on the 1398379 invoice. The posters are 49.50 but the subtotal is 59.50?  I am attatching the check that paid for both of 
these invoices.  Please let me know if there are any questions.  I hope this will clear things and as we have been getting a past due 
invoice for some time. 

Michelle Merrill
Rapid City Winair Co
Phone 605-341-0400
Fax 605-341-4466

On Thu 12/04/12  1:23 PM , Labor Law Poster Service [email-masked] sent:
> -------------------------
> Thank you for your order. Your invoice is attached.
> This is an automatically generated message from Labor Law Poster
> Service. 
> UID: 219 
> 
>